One-shot document generation
One-shot document generation - POST /documents/generate. DocDealer REST API reference.
Authorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/documents/generate" \ -H "Content-Type: application/json" \ -d '{ "formData": { "property1": null, "property2": null } }'nullGenerate document title POST
Generate document title - POST /documents/{documentId}/title-generations. DocDealer REST API reference.
Token-authed download for a generated document GET
Token-authed download for a generated document - GET /documents/preview/{token}/file.docx. DocDealer REST API reference.